## org.jfree.chart.labels
Interface XYSeriesLabelGenerator

All Known Implementing Classes:
  MultipleXYSeriesLabelGenerator, StandardXYSeriesLabelGenerator

    public interface XYSeriesLabelGenerator

A generator that creates labels for the series in an `XYDataset`.

Classes that implement this interface should be either (a) immutable, or (b) cloneable via the `PublicCloneable` interface (defined in the JCommon class library). This provides a mechanism for the referring renderer to clone the generator if necessary.

Method Summary
`java.lang.String` `generateLabel(XYDataset dataset, int series)` Generates a label for the specified series.

Method Detail

### generateLabel

    java.lang.String generateLabel(XYDataset dataset,
                                   int series)

  Generates a label for the specified series. This label will be used for the chart legend.

  Parameters:
    `dataset` - the dataset (`null` not permitted).
    `series` - the series.
  Returns:
    A series label.